Page MenuHomePhabricator

In Russian punctuation messages appear with FUZZY
Open, Needs TriagePublic

Description

To reproduce, look at:

The messages in question are Colon-separator and Percent. Both are optional and don't need translation in Russian at all. They were unnecessarily translated and marked as FUZZY in June.

We can simply update or remove the translations, but there may be a deeper issue here. Looks like only now in November they became displayed in this broken way. I'm not sure why—it may be a problematic core change or something else.

Event Timeline

Amire80 created this task.Nov 14 2018, 9:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2018, 9:58 AM
Amire80 updated the task description. (Show Details)Nov 14 2018, 9:58 AM

Change 473429 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Delete optional Russian translations

https://gerrit.wikimedia.org/r/473429

Preventing identical translations for optional messages could be investigated as part of T204568: Extend message checker framework to support errors that prevent saving.

Change 473429 merged by jenkins-bot:
[mediawiki/core@master] Delete optional Russian translations

https://gerrit.wikimedia.org/r/473429

Can I make patch related to this for Bosnian/Croatian/Serbian?

Can I make patch related to this for Bosnian/Croatian/Serbian?

It's not necessary. As far as I can see, these languages are not affected by this bug. There are hundreds of unnecessary optional translations that could be deleted and there should probably be a more robust method for deleting them, but that's a separate issue.

(1) Main Page in Russian:

(2) System journals in Russian

Nikerabbit closed this task as Resolved.Nov 19 2018, 9:37 AM
Nikerabbit assigned this task to Amire80.
Kaganer added a comment.EditedDec 5 2018, 1:24 PM

Hm. Issue (2) in my comment above still unresolved...

Amire80 reopened this task as Open.Dec 5 2018, 1:33 PM
Amire80 updated the task description. (Show Details)

Now I am really confused why this is happening. Translations in MediaWiki namespace in translatewiki.net are only supposed to be used if the base message without language code exists. If this is the brackets message, it doesn't exist. The FUZZY cannot come via i18n files. This makes me wonder if the message cache is not working as expected in translatewiki.net.

Now this is fixed. Thanks!

Change 477806 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/core@master] Delete unnecessary optional Russian messages

https://gerrit.wikimedia.org/r/477806

I deleted some FUZZY local messages, one of which was brackets.

But indeed, something here looks strange.

Change 477806 abandoned by Amire80:
Delete unnecessary optional Russian messages

https://gerrit.wikimedia.org/r/477806